Scilab Function

contrss - controllable part

### Calling Sequence

  `[slc]=contrss(sl [,tol])`

### Parameters

- `sl` : linear system (`syslin` list)
- `tol` : is a threshold for controllability (see `contr`). default value is `sqrt(%eps)`.

### Description

returns the controllable part of the linear system `sl = (A,B,C,D)` in state-space form.

### Examples

    A=[1,1;0,2];B=[1;0];C=[1,1];sl=syslin('c',A,B,C);  //Non minimal
    slc=contrss(sl);
    sl1=ss2tf(sl);sl2=ss2tf(slc);      //Compare sl1 and sl2

### See Also

`cont_mat` `ctr_gram` `cont_frm` `contr`